{
  "name": "openkonsequenz-statement-public-affairs",
  "version": "2.0.0",
  "description": "Statement Public Affairs",
  "license": "Eclipse Public License - v 2.0",
  "repository": {
    "type": "git",
    "url": "https://git.eclipse.org/r/plugins/gitiles/openk-usermodules/org.eclipse.openk-usermodules.statementPublicAffairs.frontend"
  },
  "packageManager": "pnpm@8.15.6",
  "scripts": {
    "-- Build ----------------": "",
    "build": "ng build --base-href /statementpaFE/",
    "build:archive": "jar -cvf ./dist/statement-public-affairs-frontend.war -C ./dist/statement-public-affairs .",
    "build:stats": "npm run build -- --statsJson true",
    "build:stats:analyze": "webpack-bundle-analyzer ./dist/statement-public-affairs/stats-es2015.json",
    "-- Development ----------": "",
    "start": "ng serve",
    "start-k8-local": "ng serve --proxy-config proxy.conf-local-k8.json",
    "test": "ng test --watch=true",
    "test:report": "ng test --code-coverage=true --watch=false --browsers=ChromeHeadless",
    "lint": "npm run lint:ts && npm run lint:styles",
    "lint:ts": "eslint src/app",
    "lint:ts:fix": "eslint src/app --fix",
    "lint:styles": "stylelint  \"./src/**/*.html\" \"./src/**/*.css\" \"./src/**/*.scss\"",
    "lint:report": "npm run lint:report:ts && npm run lint:report:styles",
    "lint:report:ts": "eslint --format=json --output-file=lint.ts.report.json",
    "lint:report:styles": "stylelint -f json  \"./src/**/*.html\" \"./src/**/*.css\" \"./src/**/*.scss\" > lint.styles.report.json || true",
    "sonar": "sonar-scanner",
    "-- Storybook ------------": "",
    "start:storybook": "start-storybook -p 6006",
    "build:storybook": "build-storybook -o ./dist/storybook",
    "-- Scripts --------------": "",
    "list-licenses": "ts-node scripts/generate-licenses.ts",
    "check-legal-headers": "ts-node scripts/check-legal-header.ts",
    "-- Git Hooks ------------": "",
    "pre-commit": "npm run check-legal-headers && npm run lint"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "17.0.4",
    "@angular/cdk": "17.0.0",
    "@angular/common": "17.0.4",
    "@angular/compiler": "17.0.4",
    "@angular/core": "17.0.4",
    "@angular/forms": "17.0.4",
    "@angular/material": "17.0.0",
    "@angular/platform-browser": "17.0.4",
    "@angular/platform-browser-dynamic": "17.0.4",
    "@angular/router": "17.0.4",
    "@ngrx/effects": "17.0.0",
    "@ngrx/store": "17.0.0",
    "@ngx-translate/core": "14.0.0",
    "@ngx-translate/http-loader": "6.0.0",
    "bpmn-js": "^6.5.1",
    "leaflet": "^1.8.0",
    "material-design-icons": "^3.0.1",
    "moment": "^2.27.0",
    "primeng": "^17.3.2",
    "rxjs": "7.8.1",
    "source-sans-pro": "^3.6.0",
    "tslib": "^2.0.0",
    "zone.js": "^0.14.2"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "17.0.0",
    "@angular-devkit/build-angular": "17.0.0",
    "@angular-eslint/builder": "17.1.1",
    "@angular-eslint/eslint-plugin": "17.1.1",
    "@angular-eslint/eslint-plugin-template": "17.1.1",
    "@angular-eslint/schematics": "17.1.1",
    "@angular-eslint/template-parser": "17.1.1",
    "@angular/cli": "17.0.3",
    "@angular/compiler-cli": "17.0.4",
    "@angular/language-service": "17.0.4",
    "@babel/core": "^7.9.0",
    "@ngrx/store-devtools": "17.0.0",
    "@storybook/addon-actions": "^6.5.16",
    "@storybook/addon-knobs": "^5.3.21",
    "@storybook/addon-links": "^6.5.16",
    "@storybook/addon-notes": "^5.3.21",
    "@storybook/addons": "^7.5.2",
    "@storybook/angular": "^7.5.2",
    "@types/jasmine": "~3.5.0",
    "@types/jasminewd2": "~2.0.3",
    "@types/klaw": "^3.0.3",
    "@types/leaflet": "^1.5.17",
    "@types/node": "^16.11.1",
    "@types/proj4": "^2.5.0",
    "@typescript-eslint/eslint-plugin": "6.13.1",
    "@typescript-eslint/eslint-plugin-tslint": "^6.15.0",
    "@typescript-eslint/parser": "6.13.1",
    "autoprefixer": "^8.1.0",
    "babel-loader": "^8.1.0",
    "codelyzer": "^6.0.0",
    "eslint": "^8.54.0",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-jsdoc": "^46.9.1",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "husky": "^4.2.5",
    "jasmine-core": "~3.8.0",
    "jasmine-spec-reporter": "^7.0.0",
    "karma": "~6.4.2",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage-istanbul-reporter": "^3.0.3",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "^1.5.0",
    "klaw": "4.1.0",
    "license-checker": "^25.0.1",
    "license-webpack-plugin": "^2.3.0",
    "protractor": "~7.0.0",
    "puppeteer": "^20.9.0",
    "sonar-scanner": "^3.1.0",
    "stylelint": "^13.6.1",
    "stylelint-config-sass-guidelines": "^7.0.0",
    "ts-node": "^10.9.1",
    "tslint": "~6.1.0",
    "typescript": "5.2.2",
    "webpack-bundle-analyzer": "^4.6.0"
  }
}
